/*
Copyright (c) 2005-2009 TeamF1, Inc.
All rights reserved.
*/
/* dmz_setup.htm */

function dmzSetupValidate ()
    {
    /* L10N Error Message Collection Start */
    var errMsgL10n1 = 'Invalid IP address.';
    var errMsgL10n2 = 'Invalid IP subnet mask.';
    var errMsgL10n3 = 'Invalid  starting IP address.';
    var errMsgL10n4 = 'Invalid  ending IP address.';
    var errMsgL10n5 = 'Invalid Primary DNS IP address.';
    var errMsgL10n6 = 'Invalid Secondary DNS IP address.';
    var errMsgL10n7 = 'Invalid WIN Server IP address.';
    var errMsgL10n8 = 'Invalid Relay Gateway IP address.';
    var errMsgL10n9 = 'for octet';
    var errMsgL10n10 = 'Please enter a valid DHCP lease time';
    var errMsgL10n11 = 'Please enter a valid LDAP Server.';
    var errMsgL10n12 = 'Please enter a valid Search Base.';
    var errMsgL10n13 = 'Invalid Lease Time:';
    var errMsgL10n14 = 'Hours';
    var errMsgObjL10n = document.getElementById ('hd.invalIpAddrDmzsetUp');
    if (errMsgObjL10n) errMsgL10n1 = errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.invalIpSnmDmzsetUp');
    if (errMsgObjL10n) errMsgL10n2 = errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.invalStrtIpAddrDmzSetUp');
    if (errMsgObjL10n) errMsgL10n3 = errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.invalEndIpAddrDmzSetUp');
    if (errMsgObjL10n) errMsgL10n4 = errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.invalPrDnsIpAddrDmzSetUp');
    if (errMsgObjL10n) errMsgL10n5 = errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.invalSecDnsIpAddrDmzSetUp');
    if (errMsgObjL10n) errMsgL10n6 = errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.invalWinServIpAddrDmzSetUp');
    if (errMsgObjL10n) errMsgL10n7 = errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.invalRlyGtwIpAddrDmzSetUp');
    if (errMsgObjL10n) errMsgL10n8 = errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.foroctateDmzSetUp');
    if (errMsgObjL10n) errMsgL10n9 = errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.entrValDhcpLeaseTm');
    if (errMsgObjL10n) errMsgL10n10 = errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.entrValLdapServDmzSetup');
    if (errMsgObjL10n) errMsgL10n11 = errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.entrValSearchBaseDmzSetup');
    if (errMsgObjL10n) errMsgL10n12 = errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.entrValLeaseTm');
    if (errMsgObjL10n) errMsgL10n13 = errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.hrsDmzSetUp');
    if (errMsgObjL10n) errMsgL10n14 = errMsgObjL10n.value;
     /* L10N Error Message Collection End */    

	if (ipv4AddrOctetsValidate ('tblLanSetupIpAddr', 'IP', false, true,
             errMsgL10n1,errMsgL10n9+" ", true) == false)
    	return false;
	if (ipv4AddrOctetsValidate ('tblLanSetupSnetMask', 'SM', false, true,
             errMsgL10n2, errMsgL10n9+" ", true) == false)
    	return false;
	if (ipv4AddrOctetsValidate ('tblDhcpStartIp', 'IP', false, true,
             errMsgL10n3, errMsgL10n9+" ", true) == false)
    	return false;
	if (ipv4AddrOctetsValidate ('tblDhcpEndIp', 'IP', false, true,
             errMsgL10n4, errMsgL10n9+" ", true) == false)
    	return false;
	if (ipv4AddrOctetsValidate ('tblPriDnsServer', 'IP', true, true,
             errMsgL10n5, errMsgL10n9+" ", true) == false)
    	return false;
	if (ipv4AddrOctetsValidate ('tblSecDnsServer', 'IP', true, true,
             errMsgL10n6, errMsgL10n9+" ", true) == false)
    	return false;
	if (ipv4AddrOctetsValidate ('tblDhcpWinsSer', 'IP', true, true,
             errMsgL10n7, errMsgL10n9+" ", true) == false)
    	return false;
	if (ipv4AddrOctetsValidate ('tblDhcpRelayGw', 'IP', false, true,
             errMsgL10n8, errMsgL10n9+" ", true) == false)
    	return false;    	
    var txtFieldIdArr = new Array ();    
    txtFieldIdArr[0] = "txtDhcpLeaseTime,"+" "+ errMsgL10n10;
    txtFieldIdArr[1] = "txtLdapSvr,"+errMsgL10n11;    
    txtFieldIdArr[2] = "txtLdapSearchBase,"+errMsgL10n12;
    
    if (txtFieldArrayCheck (txtFieldIdArr) == false)
         return false;
    var leaseTimeObj = document.getElementById ('txtDhcpLeaseTime');
    if (!leaseTimeObj) return;
    if (!leaseTimeObj.disabled)
		return numericValueRangeCheck (leaseTimeObj, '', '', 1, 262800, true, errMsgL10n13, errMsgL10n14);
    return true;
    }
function dhcpDisable ()
	{
	depFieldCheck ('rdbDhcpDisable', true, 'txtDhcpDomainName txtDhcpLeaseTime', 'tblDhcpStartIp tblDhcpEndIp tblPriDnsServer tblSecDnsServer tblDhcpWinsSer tblDhcpRelayGw', '', '');
	fieldStateChangeWr ('chkLdapEnable txtLdapSvr txtLdapSearchBase txtLdapPort', '', '', '');		
	}
function dhcpEnable ()
	{
	depFieldCheck ('rdbDhcpEnable', true, '', 'tblDhcpRelayGw', 'txtDhcpDomainName txtDhcpLeaseTime chkLdapEnable', 'tblDhcpStartIp tblDhcpEndIp tblPriDnsServer tblSecDnsServer tblDhcpWinsSer');
	if (document.getElementById('rdbDhcpEnable').checked)
		{
		depFieldCheck ('chkLdapEnable', true, '', '', 'txtLdapSvr txtLdapSearchBase txtLdapPort', '');
		depFieldCheck ('chkLdapEnable', false, 'txtLdapSvr txtLdapSearchBase txtLdapPort', '', '', '');
		}
	}
function dhcpRelayCheck ()
	{
	depFieldCheck ('rdbDhcpRelays', true, 'txtDhcpDomainName txtDhcpLeaseTime', 'tblDhcpStartIp tblDhcpEndIp tblPriDnsServer tblSecDnsServer tblDhcpWinsSer', '', 'tblDhcpRelayGw');
	fieldStateChangeWr ('chkLdapEnable txtLdapSvr txtLdapSearchBase txtLdapPort', '', '', '');		
	}
function LDAPEnableCheck ()
	{
	depFieldCheck ('chkLdapEnable', true, '', '', 'txtLdapSvr txtLdapSearchBase txtLdapPort', '');
	depFieldCheck ('chkLdapEnable', false, 'txtLdapSvr txtLdapSearchBase txtLdapPort', '', '', '');	
	}	
function dmzSetupInit ()
	{
	dmzPortCheck ();
	LDAPEnableCheck ();	
	dhcpDisable ();
	dhcpRelayCheck ();
	dhcpEnable ();	
	}