/*
Copyright (c) 2005-2009 TeamF1, Inc.
All rights reserved.
*/

/* schedule1.htm, schedule2.htm and schedule3.htm */

function timeValidate ()
    {
    
     /* L10N Error Message Collection Start */
    var errMsgL10n1 = 'Please check minutes';
    var errMsgL10n2 = 'End hour cannot be less than the start hour';    
    var errMsgL10n3 = 'End Time hours cannot extend to next day'; 
    var errMsgObjL10n = document.getElementById ('hd.chkMin');
    if (errMsgObjL10n) errMsgL10n1 = errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.endHrGrtrStrtHr');
    if (errMsgObjL10n) errMsgL10n2 = errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.endtmHrNxtDy');
    if (errMsgObjL10n) errMsgL10n3 = errMsgObjL10n.value;
    /* L10N Error Message Collection End */
    
	var rdbObj = document.getElementById('rdbAllDay')
    if (rdbObj && rdbObj.checked) return true;
    var meridian1 = parseInt (document.getElementById('selStartMeridian').value, 10);
    var meridian2 = parseInt (document.getElementById('selEndMeridian').value, 10);
    var hr1 = parseInt (document.getElementById('txtSchedStartTimeHrs').value, 10);
    var hr2 = parseInt (document.getElementById('txtSchedEndTimeHrs').value, 10);
	var min1 = parseInt (document.getElementById('txtSchedStartTimeMns').value,10);
    var min2 = parseInt (document.getElementById('txtSchedEndTimeMns').value,10);
    
    /* Converting into 24hrs Format */
    if (meridian1 == 1 && hr1 != 12) hr1 = hr1 + 12;
    if (meridian1 == 0 && hr1 == 12) hr1 = 0;
    if (meridian2 == 1 && hr2 != 12) hr2 = hr2 + 12;
    if (meridian2 == 0 && hr2 == 12) hr2 = 0;
    
    /* Special Case for 12:00 to 00:00 */
    if (hr2 == 0 && min2 == 0) hr2 = 24;
    
	if (hr1 > hr2)
		{
		if (hr1 >= 12 && (hr2 > 0 || min2 > 0))
			{
			alert (errMsgL10n3);
			return false;
			}
		else
			{
			alert (errMsgL10n2);
			return false;
			}
		}
	else if (hr1 == hr2 && min1 > min2)
		{
		alert (errMsgL10n2);
		return false;
		}

	return true;
	}

function scheduleFormValidate ()
    {
     /* L10N Error Message Collection Start */
    var errMsgL10n1 = 'Invalid start time for schedule. Enter valid hour between 1 and 12';    
    var errMsgL10n2 = 'Invalid start time for schedule.';    
    var errMsgL10n3 = 'hours';       
    var errMsgL10n4 = 'Invalid start time for schedule. Enter valid minutes between 0 and 59';       
    var errMsgL10n5 = 'minutes';
    var errMsgL10n6 = 'Invalid end time for schedule. Enter valid hour between 1 and 12';    
    var errMsgL10n7 = 'Invalid end time for schedule.';      
    var errMsgL10n8 = 'Invalid end time for schedule. Enter valid minutes between 0 and 59';    
    var errMsgL10n9 = 'Please select any Specific Day(s) on which this schedule to be Active';
    var errMsgObjL10n = document.getElementById ('hd.invalStrtTmHr');
    if (errMsgObjL10n) errMsgL10n1 = errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.invalStrtTm');
    if (errMsgObjL10n) errMsgL10n2 = errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.HourSc');
    if (errMsgObjL10n) errMsgL10n3 = errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.invalStrtTmMin');
    if (errMsgObjL10n) errMsgL10n4 = errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.minSc');
    if (errMsgObjL10n) errMsgL10n5= errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.invalEndTmHr');
    if (errMsgObjL10n) errMsgL10n6= errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.invalEndTm');
    if (errMsgObjL10n) errMsgL10n7= errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.invalendTmMin');
    if (errMsgObjL10n) errMsgL10n8= errMsgObjL10n.value;
    errMsgObjL10n = document.getElementById ('hd.specDayAlert');
    if (errMsgObjL10n) errMsgL10n9= errMsgObjL10n.value;
     /* L10N Error Message Collection End */

	var rdbObj = document.getElementById('rdbSpecDays')
    if (rdbObj && rdbObj.checked)
        {
        if (!isChkboxEnabled ('chkSunday chkMonday chkTuesday chkWednesday chkThursday chkFriday chkSaturday', 1, ""))
            {
            alert(errMsgL10n9);
            return false;
            }
        }

    var obj = null;
    var time = 0;
	/* get and validate start hours */
	obj = document.getElementById('txtSchedStartTimeHrs');
	if (numericValueRangeCheck (obj , 1, 
                            errMsgL10n1,
                            1, 12, true, errMsgL10n2, errMsgL10n3) == false)
         return false;
	/* get and validate start minutes */
	obj = document.getElementById('txtSchedStartTimeMns');
	if (numericValueRangeCheck (obj , 1, 
                            errMsgL10n4,
                            0, 59, true,errMsgL10n2, errMsgL10n5) == false)
         return false;
	/* get and validate end hours */
	obj = document.getElementById('txtSchedEndTimeHrs');
	if (numericValueRangeCheck (obj , 1, 
                            errMsgL10n6,
                            1, 12, true,errMsgL10n7, errMsgL10n3) == false)
         return false;
	/* get and validate end hours */
	obj = document.getElementById('txtSchedEndTimeMns');
	if (numericValueRangeCheck (obj , 1, 
                            errMsgL10n8,
                            0, 59, true, errMsgL10n7, errMsgL10n5) == false)
         return false;
         
    if (timeValidate () == false)
    	return false;
         
    return true;
    }

function scheduleInit ()
	{
	scheduleDayOptCheck ();
	scheduleTimeOptCheck ();
	}
