/*add by mark_wens*/
#define kernel_partition_1 1
#define rootfs_partition_1 5
#define kernel_partition_2 2
#define rootfs_partition_2 7
#ifdef utm_512m_board
#define tmp_ram_addr  0x4600000
#endif

#define decompress_addr1 0x100000
typedef struct 
{
 unsigned int magic_code;
 unsigned long type; 
 unsigned char version[16];
 int date;
 unsigned long checksum;
 long long size;
 unsigned char reserved[24];
}Header; 

typedef struct { 
	int partition_num;
       int  section_start;
	int  section_num;
}cf_partition_info;

/* gzip header definition */
#define HEAD_CRC 	2
#define EXTRA_FIELD	4
#define ORIG_NAME	8
#define COMMENT		0x10
#define RESERVED 	0xe0
#define DEFLATED	8

