
#ifndef __OCTEON_EBT3000_SHARED_H__
#define __OCTEON_EBT3000_SHARED_H__

#define OCTEON_EBT3000_EEPROM_ADDR  (0x52)

/* EBT3000 has one pair of DIMM sockets. DIMM 0 must be populated.
** Populating DIMM 1 enables the 128/144-bit interface.
*/
#define OCTEON_EBT3000_DRAM_SOCKET_CONFIGURATION \
	{0x50, 0x51}


/*
** CN38xx Registered configuration
*/
#define OCTEON_EBT3000_DDR_BOARD_DELAY		6000
#define OCTEON_EBT3000_LMC_DELAY_CLK		2
#define OCTEON_EBT3000_LMC_DELAY_CMD		0
#define OCTEON_EBT3000_LMC_DELAY_DQ		9

/*
** CN38xx Unbuffered configuration
*/
#define OCTEON_EBT3000_UNB_DDR_BOARD_DELAY	6300
#define OCTEON_EBT3000_UNB_LMC_DELAY_CLK	4
#define OCTEON_EBT3000_UNB_LMC_DELAY_CMD	0
#define OCTEON_EBT3000_UNB_LMC_DELAY_DQ		9

#endif
